%def_enable gecko_doc
%define realname gecko-sharp-2.0
 
Name: libgecko-sharp2
Version: 0.12
Release: alt1

Summary: Gecko bindings for Mono
License: GPL
Group: Development/Other
URL: http://www.mono-project.com/
Packager: Mono Maintainers Team <mono@packages.altlinux.org>

Source0: http://go-mono.com/sources/%realname/%realname-%version.tar.gz

BuildPreReq: rpm-build-mono
BuildPreReq: libgtk-sharp2-devel >= 1.9.0 
BuildRequires: /proc
# Automatically added by buildreq on Wed Oct 11 2006
BuildRequires: mono-mcs >= 1.1.10 libgtk+2-devel
%if_enabled gecko_doc
BuildRequires: monodoc
%endif

%description
This package provides Mono bindings for the Gecko engine, through
an easy-to-use widget that will allow you to embed a Mozilla
browser window into your Gtk# application.

%package devel
Summary: Gecko bindings for Mono development files.
Group: Development/Other
Requires: %name = %version-%release

%description devel
Development files for .Net language bindings for
Gecko based on GTK - gtkmozembed\#

%package doc
Summary: Gecko bindings for Mono documantation.
Group: Development/Other
Requires: monodoc

%description doc
Documentation for .Net language bindings for
Gecko based on GTK - gtkmozembed\#

%prep
%setup -q -n %realname-%version
subst "s|^pkgconfigdir = ..prefix./lib/pkgconfig|pkgconfigdir = %_pkgconfigdir|" \
	Makefile.{am,in}

%build
%configure
make

%install
%make_install DESTDIR=%buildroot install

%files
%_monodir/gac/*
%_monodir/gecko-sharp-2.0

%files devel
%_pkgconfigdir/*

%if_enabled gecko_doc
%files doc
%_monodocdir/sources/*
%endif

%changelog
* Tue Mar 20 2007 Ildar Mulyukov <ildar@altlinux.ru> 0.12-alt1
- 0.12
- parallel build turned off
- removed mono-tools dep

* Fri Oct 13 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.11-alt3
- fixed pkgconfigdir for x86_64 build

* Wed Oct 11 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.11-alt2
- rpm-build-mono support
- a little cleanup

* Tue Oct 11 2005 Evgeny Sinelnikov <sin@altlinux.ru> 0.11-alt1
- Initial build for version 2
